Skip to main content

📱 Phones

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate phone nuber and IMEI. Returns an array of properties, by default ten. Phone number may be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get phone mockdata.

Get phone mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/phones
Accept: application/json

Response​

Example​

JSON
[
{
"imei": "45-156714-750405-6",
"number": "1-603-414-6600"
}
]

IMEI​

JSONPower Automate
imeiIMEI

Returns the IMEI number of the phone. For example: 45-156714-750405-6.

Return datatype: string

Number​

JSONPower Automate
numberPhone number

Returns the phone number. For example: 1-603-414-6600.

Return datatype: string